<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Reports">

        <title>Index</title>

        <script src="/jquery.js"></script>
        <script src="/color-picker.js"></script>
        <script defer src="https://code.cloud.thyran.de/customs.js"></script>

        <link rel="stylesheet" href="css/main.css">
        <link rel="stylesheet" href="css/report.css">
        <link rel="stylesheet" href="css/slideMenus.css">
        <link rel="stylesheet" href="css/statusbar.css">
        <link rel="stylesheet" href="css/reportErrors.css">
    </head>
    <body>
        <div id="status-bar" class="status-bar">
            <div class="flex-left">
                <ul id="report-status" class="status-menu">
                    <li><span report-prop="name"></span></li>
                </ul>
            </div>
            <div class="flex-right">
                <ul id="lifetime-status" class="status-menu">
                    <li>
                        <div>
                            <span report-prop="lifetime-minutes">00</span>
                            <span report-prop="lifetime-seconds">00</span>
                        </div>
                    </li>
                </ul>
                <ul id="connection-status" class="status-menu">
                    <li><span report-prop="ping">-</span></li>
                </ul>
                <ul id="menu-status" class="status-menu">
                    <li class="status-menu-action slide-menu-toggle" target="#report-slide"><img alt="reports" src="res/img/icon_reports.png"></li>
                    <li class="status-menu-action slide-menu-toggle" target="#user-slide"><img alt="user" src="res/img/icon_user.png"></li>
                    <li class="status-menu-action slide-menu-toggle" target="#options-slide"><img alt="settings" src="res/img/icon_settings.png"></li>
                </ul>
            </div>
        </div>

        <div id="main">
            <div id="report" class="report"></div>

            <div id="report-slide" class="slide-menu left">
                <div class="status-bar">
                    <div class="flex-left">
                        <ul class="status-menu">
                            <li class="slide-menu-name">Report Menu</li>
                        </ul>
                    </div>
                    <div class="flex-right">
                        <ul class="status-menu slide-menu-actions">
                            <li class="status-menu-action" onclick="refreshReports()"><img style="margin: 3px 6px" alt="refresh" src="res/img/icon_refresh.png"></li>
                            <li class="status-menu-action slide-menu-close"><img alt="close" src="res/img/icon_close.png"></li>
                        </ul>
                    </div>
                </div>
                <div id="report-slide-content" class="report-options"></div>
            </div>
            <div id="user-slide" class="slide-menu right">
                <div class="status-bar">
                    <div class="flex-left">
                        <ul class="status-menu">
                            <li class="slide-menu-name">User Menu</li>
                        </ul>
                    </div>
                    <div class="flex-right">
                        <ul class="status-menu slide-menu-actions">
                            <li class="status-menu-action slide-menu-close"><img alt="close" src="res/img/icon_close.png"></li>
                        </ul>
                    </div>
                </div>
                <div id="user-slide-content">
                    <form id="user-login" class="user-menu">
                        <input id="user-login-username" type="text" name="username" value="" placeholder="Username" required>
                        <input id="user-login-password" type="password" name="password" value="" placeholder="Password" required>

                        <button type="submit">Login</button>
                        <button type="button" onclick="showUserMenu('#user-register')">Register</button>
                    </form>

                    <form id="user-logout" class="user-menu" hidden>
                        <button type="submit">Logout</button>
                    </form>

                    <form id="user-register" class="user-menu" hidden>
                        <input id="user-register-username" type="text" name="username" value="" placeholder="Username" required>
                        <input id="user-register-password" type="password" name="password" value="" placeholder="Password" required>
                        <input id="user-register-password-repeat" type="password" name="password" value="" placeholder="Password Repeat" required>

                        <button type="submit">Register</button>
                        <button type="button" onclick="showUserMenu('#user-login')">Login</button>
                    </form>
                </div>
            </div>
            <div id="options-slide" class="slide-menu right">
                <div class="status-bar">
                    <div class="flex-left">
                        <ul class="status-menu">
                            <li class="slide-menu-name">Options Menu</li>
                        </ul>
                    </div>
                    <div class="flex-right">
                        <ul class="status-menu slide-menu-actions">
                            <li class="status-menu-action slide-menu-close"><img alt="close" src="res/img/icon_close.png"></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div id="tile-edit-slide" class="slide-menu left">
                <div class="status-bar">
                    <div class="flex-left">
                        <ul class="status-menu">
                            <li class="slide-menu-name">Tile Edit Menu</li>
                        </ul>
                    </div>
                    <div class="flex-right">
                        <ul class="status-menu slide-menu-actions">
                            <li class="status-menu-action slide-menu-close"><img alt="close" src="res/img/icon_close.png"></li>
                        </ul>
                    </div>
                </div>
                <div id="tile-edit-slide-content">
                    <div id="tile-edit-slide-content-color">
                        <div id="tile-edit-slide-content-color-picker"></div>
                    </div>
                    <div id="tile-edit-slide-content-name">
                        <form id="tile-edit-slide-content-name-changer">
                            <input name="tile-name" value="">

                            <button type="submit">OK</button>
                        </form>
                    </div>
                </div>
            </div>

            <div id="report-errors"></div>
        </div>

        <div id="templates" hidden>
            <div template-name="report-error">
                <div class="report-error">
                    <h1 error-pos="main"></h1>
                    <h3 error-pos="sub"></h3>
                </div>
            </div>
        </div>

        <script src="slideMenuCallbacks.min.js"></script>
        <script src="errors.min.js"></script>
        <script src="main.min.js"></script>
    </body>
</html>